com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t.AnonymousStructNFSv4client

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructNFSv4client

Enclosing class:
  Perfstat.perfstat_protocol_t

    @Structure.FieldOrder(value={"operations","nullreq","getattr","setattr","lookup","access","readlink","read","write","create","mkdir","symlink","mknod","remove","rmdir","rename","link","readdir","statfs","finfo","commit","open","open_confirm","open_downgrade","close","lock","unlock","lock_test","set_clientid","renew","client_confirm","secinfo","release_lock","replicate","pcl_stat","acl_stat_l","pcl_stat_l","acl_read","pcl_read","acl_write","pcl_write","delegreturn"})
    public static class Perfstat.perfstat_protocol_t.AnonymousStructNFSv4client
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`long` `access`
`long` `acl_read`
`long` `acl_stat_l`
`long` `acl_write`
`long` `client_confirm`
`long` `close`
`long` `commit`
`long` `create`
`long` `delegreturn`
`long` `finfo`
`long` `getattr`
`long` `link`
`long` `lock`
`long` `lock_test`
`long` `lookup`
`long` `mkdir`
`long` `mknod`
`long` `nullreq`
`long` `open`
`long` `open_confirm`
`long` `open_downgrade`
`long` `operations`
`long` `pcl_read`
`long` `pcl_stat`
`long` `pcl_stat_l`
`long` `pcl_write`
`long` `read`
`long` `readdir`
`long` `readlink`
`long` `release_lock`
`long` `remove`
`long` `rename`
`long` `renew`
`long` `replicate`
`long` `rmdir`
`long` `secinfo`
`long` `set_clientid`
`long` `setattr`
`long` `statfs`
`long` `symlink`
`long` `unlock`
`long` `write`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`AnonymousStructNFSv4client()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### operations

    public long operations

#### nullreq

    public long nullreq

#### getattr

    public long getattr

#### setattr

    public long setattr

#### lookup

    public long lookup

#### access

    public long access

#### readlink

    public long readlink

#### read

    public long read

#### write

    public long write

#### create

    public long create

#### mkdir

    public long mkdir

#### symlink

    public long symlink

#### mknod

    public long mknod

#### remove

    public long remove

#### rmdir

    public long rmdir

#### rename

    public long rename

#### link

    public long link

#### readdir

    public long readdir

#### statfs

    public long statfs

#### finfo

    public long finfo

#### commit

    public long commit

#### open

    public long open

#### open_confirm

    public long open_confirm

#### open_downgrade

    public long open_downgrade

#### close

    public long close

#### lock

    public long lock

#### unlock

    public long unlock

#### lock_test

    public long lock_test

#### set_clientid

    public long set_clientid

#### renew

    public long renew

#### client_confirm

    public long client_confirm

#### secinfo

    public long secinfo

#### release_lock

    public long release_lock

#### replicate

    public long replicate

#### pcl_stat

    public long pcl_stat

#### acl_stat_l

    public long acl_stat_l

#### pcl_stat_l

    public long pcl_stat_l

#### acl_read

    public long acl_read

#### pcl_read

    public long pcl_read

#### acl_write

    public long acl_write

#### pcl_write

    public long pcl_write

#### delegreturn

    public long delegreturn

### Constructor Detail

#### AnonymousStructNFSv4client

    public AnonymousStructNFSv4client()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.